From a3aa9227eb702f42fe0a12c946ca87bd3ef9bddb Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Javier=20Jard=C3=B3n?= <jjardon@gnome.org>
Date: Mon, 2 Apr 2018 20:48:29 +0100
Subject: [PATCH] Use upstream gettext instead intltool

---
 .gitignore                       |  3 --
 .travis.yml                      |  1 -
 Makefile.am                      |  3 --
 bootstrap.sh                     |  8 ++---
 configure.ac                     | 11 +-----
 m4/.gitignore                    |  1 -
 po/.gitignore                    |  1 -
 po/Makevars                      | 78 ++++++++++++++++++++++++++++++++++++++++
 src/Makefile.am                  |  4 ++-
 src/daemon/pulseaudio.desktop.in |  4 +--
 10 files changed, 86 insertions(+), 28 deletions(-)
 create mode 100644 po/Makevars

diff --git a/.gitignore b/.gitignore
index a0f0995f..ef145bbb 100644
--- a/.gitignore
+++ b/.gitignore
@@ -3,9 +3,6 @@
 .*.swp
 ABOUT-NLS
 build-aux
-intltool-extract.in
-intltool-merge.in
-intltool-update.in
 *~
 *.tar.gz
 *.pc
diff --git a/.travis.yml b/.travis.yml
index c21cb977..cc1d9ae8 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -16,7 +16,6 @@ before_install:
     autopoint
     autoconf
     automake
-    intltool
     check
     libasound2-dev
     libasyncns-dev
diff --git a/Makefile.am b/Makefile.am
index 275ceeac..d19bf973 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -115,7 +115,4 @@ BUILT_SOURCES = $(top_srcdir)/.version
 $(top_srcdir)/.version:
 	echo $(VERSION) > $@-t && mv $@-t $@
 
-DISTCLEANFILES = \
-        po/.intltool-merge-cache
-
 DISTCHECK_CONFIGURE_FLAGS = --with-udev-rules-dir="$$dc_install_base/lib/udev/rules.d" --with-systemduserunitdir="$$dc_install_base/lib/systemd/user" --with-bash-completion-dir="$$dc_install_base/share/bash-completion/completions"
diff --git a/bootstrap.sh b/bootstrap.sh
index 0a05a3e4..17a9c86b 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -39,12 +39,8 @@ if ! autopoint --version &>/dev/null ; then
     echo "autopoint is required to bootstrap this program"
     exit 1
 fi
-if ! intltoolize --version >/dev/null ; then
-    echo "intltoolize is required to bootstrap this program"
-    exit 1
-fi
-autopoint --force
-AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
+
+autoreconf --force --install --verbose
 
 if test "x$NOCONFIGURE" = "x"; then
     CFLAGS="$CFLAGS -g -O0" ./configure --sysconfdir=/etc --localstatedir=/var --enable-force-preopen "$@" && \
diff --git a/configure.ac b/configure.ac
index 0eb44b08..dd0d530d 100644
--- a/configure.ac
+++ b/configure.ac
@@ -99,21 +99,12 @@ PKG_PROG_PKG_CONFIG
 
 # gettext
 
-if test "x$enable_nls" != "xno"; then
-IT_PROG_INTLTOOL([0.35.0])
-
-AM_GNU_GETTEXT_VERSION([0.18.1])
+AM_GNU_GETTEXT_VERSION([0.19.8])
 AM_GNU_GETTEXT([external])
 
 GETTEXT_PACKAGE=pulseaudio
 AC_SUBST([GETTEXT_PACKAGE])
 AC_DEFINE_UNQUOTED([GETTEXT_PACKAGE],["$GETTEXT_PACKAGE"],[Gettext package])
-else
-# workaround till an intltool m4 bug is fixed upstream
-# (https://bugs.launchpad.net/intltool/+bug/904647)
-USE_NLS=no
-AC_SUBST(USE_NLS)
-fi
 
 
 #### Determine host OS ####
diff --git a/m4/.gitignore b/m4/.gitignore
index db941754..7bdfcbf6 100644
--- a/m4/.gitignore
+++ b/m4/.gitignore
@@ -8,7 +8,6 @@ intdiv0.m4
 intl.m4
 intldir.m4
 intlmacosx.m4
-intltool.m4
 intmax.m4
 inttypes-pri.m4
 inttypes_h.m4
diff --git a/po/.gitignore b/po/.gitignore
index 1ebb4277..47297be9 100644
--- a/po/.gitignore
+++ b/po/.gitignore
@@ -1,4 +1,3 @@
-/.intltool-merge-cache
 /Makefile.in.in
 /Makevars.template
 /POTFILES
diff --git a/po/Makevars b/po/Makevars
new file mode 100644
index 00000000..bd3d3fff
--- /dev/null
+++ b/po/Makevars
@@ -0,0 +1,78 @@
+# Makefile variables for PO directory in any package using GNU gettext.
+
+# Usually the message domain is the same as the package name.
+DOMAIN = $(PACKAGE)
+
+# These two variables depend on the location of this directory.
+subdir = po
+top_builddir = ..
+
+# These options get passed to xgettext.
+XGETTEXT_OPTIONS = --keyword=_ --keyword=N_ --from-code=UTF-8
+
+# This is the copyright holder that gets inserted into the header of the
+# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
+# package.  (Note that the msgstr strings, extracted from the package's
+# sources, belong to the copyright holder of the package.)  Translators are
+# expected to transfer the copyright for their translations to this person
+# or entity, or to disclaim their copyright.  The empty string stands for
+# the public domain; in this case the translators are expected to disclaim
+# their copyright.
+COPYRIGHT_HOLDER = PulseAudio contributors
+
+# This tells whether or not to prepend "GNU " prefix to the package
+# name that gets inserted into the header of the $(DOMAIN).pot file.
+# Possible values are "yes", "no", or empty.  If it is empty, try to
+# detect it automatically by scanning the files in $(top_srcdir) for
+# "GNU packagename" string.
+PACKAGE_GNU =
+
+# This is the email address or URL to which the translators shall report
+# bugs in the untranslated strings:
+# - Strings which are not entire sentences, see the maintainer guidelines
+#   in the GNU gettext documentation, section 'Preparing Strings'.
+# - Strings which use unclear terms or require additional context to be
+#   understood.
+# - Strings which make invalid assumptions about notation of date, time or
+#   money.
+# - Pluralisation problems.
+# - Incorrect English spelling.
+# - Incorrect formatting.
+# It can be your email address, or a mailing list address where translators
+# can write to without being subscribed, or the URL of a web page through
+# which the translators can contact you.
+MSGID_BUGS_ADDRESS =
+
+# This is the list of locale categories, beyond LC_MESSAGES, for which the
+# message catalogs shall be used.  It is usually empty.
+EXTRA_LOCALE_CATEGORIES =
+
+# This tells whether the $(DOMAIN).pot file contains messages with an 'msgctxt'
+# context.  Possible values are "yes" and "no".  Set this to yes if the
+# package uses functions taking also a message context, like pgettext(), or
+# if in $(XGETTEXT_OPTIONS) you define keywords with a context argument.
+USE_MSGCTXT = no
+
+# These options get passed to msgmerge.
+# Useful options are in particular:
+#   --previous            to keep previous msgids of translated messages,
+#   --quiet               to reduce the verbosity.
+MSGMERGE_OPTIONS =
+
+# These options get passed to msginit.
+# If you want to disable line wrapping when writing PO files, add
+# --no-wrap to MSGMERGE_OPTIONS, XGETTEXT_OPTIONS, and
+# MSGINIT_OPTIONS.
+MSGINIT_OPTIONS =
+
+# This tells whether or not to regenerate a PO file when $(DOMAIN).pot
+# has changed.  Possible values are "yes" and "no".  Set this to no if
+# the POT file is checked in the repository and the version control
+# program ignores timestamps.
+PO_DEPENDS_ON_POT = no
+
+# This tells whether or not to forcibly update $(DOMAIN).pot and
+# regenerate PO files on "make dist".  Possible values are "yes" and
+# "no".  Set this to no if the POT file and PO files are maintained
+# externally.
+DIST_DEPENDS_ON_UPDATE_PO = no
diff --git a/src/Makefile.am b/src/Makefile.am
index 45616c01..3e04150a 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -123,7 +123,9 @@ if HAVE_X11
 xdgautostart_in_files = \
 		daemon/pulseaudio.desktop.in
 xdgautostart_DATA = $(xdgautostart_in_files:.desktop.in=.desktop)
-@INTLTOOL_DESKTOP_RULE@
+$(xdgautostart_DATA): $(xdgautostart_in_files)
+	$(AM_V_GEN) $(MSGFMT) --desktop --template $< -d $(top_srcdir)/po -o $@
+
 endif
 
 
diff --git a/src/daemon/pulseaudio.desktop.in b/src/daemon/pulseaudio.desktop.in
index 06cde277..cc3ac807 100644
--- a/src/daemon/pulseaudio.desktop.in
+++ b/src/daemon/pulseaudio.desktop.in
@@ -1,7 +1,7 @@
 [Desktop Entry]
 Version=1.0
-_Name=PulseAudio Sound System
-_Comment=Start the PulseAudio Sound System
+Name=PulseAudio Sound System
+Comment=Start the PulseAudio Sound System
 Exec=start-pulseaudio-x11
 Terminal=false
 Type=Application
-- 
2.16.3

